/* Integrating new colors into Pico CSS */
[data-theme='light'] {
    --pico-background-color: #EFE5D5 !important;  /* Parchment color for light mode */
    --pico-color: #373c44;  /* Text color for general use */
    --pico-muted-color: #646b79;  /* Muted text or border color */

    /* New complementary colors */
    --pico-complementary-primary: #C5BBA1;  /* Soft Taupe */
    --pico-complementary-secondary: #D5C5AA;  /* Light Beige */
    --pico-complementary-accent: #A45A2D;  /* Burnt Orange */
    --pico-complementary-muted: #7F8C8D;  /* Slate Gray */
    --pico-complementary-highlight: #B8B3A0;  /* Warm Gray */
        /* Form elements */
    --pico-form-element-background-color: #F7F0E6;  /* Light parchment for form elements */
    --pico-form-element-border-color: #D3C4B1;  /* Warm gray border */
    --pico-form-element-color: #373C44;  /* Dark gray text */
    --pico-form-element-placeholder-color: #7F8C8D;  /* Medium gray placeholder text */
    --pico-form-element-active-border-color: #A45A2D;  /* Burnt orange focus border */
}
body {
    margin: 0!important;
    padding-top: 40px; /* Adjust this value based on the height of your navbar */
    font-family: Arial, sans-serif!important;
}

.navbar {
    display: flex!important;
    justify-content: space-between!important;
    align-items: center!important;
    padding: 5px!important;
    background-color: #333!important;
    color: white!important;
    /*position: sticky!important;*/
    position: fixed;
    height:80px !important;
    width: 100%;
    top: 0!important;
    z-index: 1000!important;
}
.navbar-left {
    flex: 1 !important;
    display: flex !important;
    flex-direction: row !important; /* This is default, but ensures items are in a row */
    align-items: center !important; /* Align items vertically centered */
    gap: 4px !important; /* Optional: Add space between items */
}
.navbar-right {
    flex: 1!important;
    display: flex!important;
    align-items: center!important;
}

.navbar-center {
    flex: 2!important;
    display: flex!important;
    justify-content: center!important;
    align-items: center!important;
    text-align: center!important;
}

.navbar-right {
    justify-content: flex-end!important;
}

.app-name {
    font-size: 1.5em!important;
}

.dropdown-menus {
    list-style-type: none!important;
    display: flex!important;
    margin: 0!important;
    padding: 0!important;
    justify-content: center!important;
    text-align: center!important;
    width: 100%!important;
}

.dropdown-menu {
    position: relative!important;
    padding: 10px!important;
    cursor: pointer!important;
    white-space: nowrap!important;
}
/*details.dropdown summary + ul {*/
/*    display: flex;*/
/*    z-index: 99;*/
/*    position: absolute;*/
/*    left: 0;*/
/*    flex-direction: column;*/
/*    width: 100%;*/
/*    min-width: -moz-fit-content;*/
/*    min-width: fit-content;*/
/*    margin: 0;*/
/*    margin-top: var(--pico-outline-width);*/
/*    padding: 0;*/
/*    border: var(--pico-border-width) solid var(--pico-dropdown-border-color);*/
/*    border-radius: var(--pico-border-radius);*/
/*    background-color: var(--pico-dropdown-background-color);*/
/*    box-shadow: var(--pico-dropdown-box-shadow);*/
/*    color: var(--pico-dropdown-color);*/
/*    white-space: nowrap;*/
/*    opacity: 0;*/
/*    transition: opacity var(--pico-transition), transform 0s ease-in-out 1s;*/

.dropdown-menu:hover .dropdown-content,
.dropdown-menu:focus-within .dropdown-content {
    display: block!important;
}

.dropdown-content {
    display: none!important;
    position: absolute!important;
    background-color: #f9f9f9!important;
    min-width: 160px!important;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2)!important;
    z-index: 1!important;
    left: 0!important; /* Ensure the drop-down is left-aligned */
}

.dropdown-content li {
    color: black!important;
    padding: 12px 16px!important;
    text-decoration: none!important;
    display: block!important;
    cursor: pointer!important;
    text-align: left!important; /* Left-align sub-items */
    white-space: nowrap!important;
    position: relative!important;
}

.dropdown-content li:hover .dropdown-subcontent,
.dropdown-content li:focus-within .dropdown-subcontent {
    display: block!important;
}

.dropdown-subcontent {
    display: none!important;
    position: absolute!important;
    left: 100%!important;
    top: 0!important;
    background-color: #f9f9f9!important;
    min-width: 160px!important;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2)!important;
    z-index: 1!important;
}

.dropdown-content li:hover {
    background-color: #f1f1f1!important;
}

.has-submenu::after {
    content: '>'!important;
    position: absolute!important;
    right: 10px!important;
    top: 50%!important;
    transform: translateY(-50%)!important;
}
.divider {
    margin: 8px 16px!important;  /* Added left and right margin */
    border: none!important;
    border-top: 1px solid #ccc!important; /* Updated color for better visibility */
}
.icon {
    padding: 0 10px!important;
    cursor: pointer!important;
}

@media (max-width: 768px) {
    .navbar-center {
        flex-direction: column!important;
    }
    .dropdown-menu {
        padding: 5px!important;
    }
}

.content {
    padding: 20px!important;
}